Create League Submission
curl --request POST \
--url https://softmax.com/api/observatory/v2/league-submissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"league_id": "<string>",
"policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"player_id": "<string>",
"auto_champion": "always",
"preferences": {},
"notes": "<string>"
}
'import requests
url = "https://softmax.com/api/observatory/v2/league-submissions"
payload = {
"league_id": "<string>",
"policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"player_id": "<string>",
"auto_champion": "always",
"preferences": {},
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
league_id: '<string>',
policy_version_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
player_id: '<string>',
auto_champion: 'always',
preferences: {},
notes: '<string>'
})
};
fetch('https://softmax.com/api/observatory/v2/league-submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"league": {
"name": "<string>",
"commissioner_key": "<string>",
"id": "<string>",
"game": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"coworld_name": "<string>",
"description": "<string>",
"notes": "<string>",
"coworld_id": "<string>"
},
"mod": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"game": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"coworld_name": "<string>",
"description": "<string>",
"notes": "<string>",
"coworld_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"notes": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"commissioner_config": {},
"commissioner_migration_version": "<string>",
"rounds_paused_at": "2023-11-07T05:31:56Z",
"settings": {},
"filler_policy_version_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"rules": {},
"public": false,
"hidden": false,
"is_game_of_week": false,
"disabled_at": "2023-11-07T05:31:56Z",
"notes": "<string>"
},
"policy_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"version": 123,
"label": "<string>",
"player_id": "<string>"
},
"player": {
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"auto_champion": "always",
"preferences": {},
"notes": "<string>",
"league_policy_membership_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}League submissions
Create League Submission
POST
/
v2
/
league-submissions
Create League Submission
Authorizations
Bearer token issued by Softmax
Body
application/json
Pattern:
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Pattern:
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Available options:
always, never, lineage Response
Successful Response
Available options:
pending, processing, placed, rejected, withdrawn Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
always, never, lineage ⌘I

